<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Form Input Binding</title>
</head>

<body>
    <div id="app">
        <form>
            <input type="text" v-model="search" placeholder="Ketikan Kata Kunci">
            <p>
            <ul id="#app">
                <li v-for="item in filtered" :key="item.book">{{ item.book }}</li>
            </ul>
            </p>
        </form>
    </div>

    <script src="https://cdn.jsdelivr.net/npm/vue@2/dist/vue.js"></script>
    <script>
        var vm = new Vue({
            el: '#app',
            data() {
                return {
                    search: '',
                    books:
                        [
                            { book: "Kalkulus Dasar" },
                            { book: "Fisika Dasar" },
                            { book: "Aljabar Liniar Elementer" },
                            { book: "Aljabar Abstrak" },
                            { book: "Algoritma Pemrograman" }
                        ]
                };
            },
            computed: {
                filtered: function () {
                    return this.books.filter((buku) => {
                        return buku.book.toLowerCase().includes(this.search.toLowerCase());
                    });
                }
            },
            methods: {
            }
        })
    </script>

</body>

</html>